MCP is live.Set upAsk the community
OmniDimension
Providers

List voices

Retrieve voices with filtering and pagination support. ElevenLabs and Cartesia support advanced filtering by name, language, accent, and gender. Other providers support basic pagination only.

GET/providers/voices
Query parameters
providerstring · enum

TTS provider to list voices from. Omit to list across all providers.

searchstring

Substring match against voice name or description. ElevenLabs and Cartesia.

languagestring

ISO language code (e.g. en, hi, es). ElevenLabs and Cartesia.

accentstring

Accent label (e.g. american, british). ElevenLabs and Cartesia.

genderstring · enum

Filter voices by gender. ElevenLabs and Cartesia.

pageinteger

1-indexed page number.

page_sizeinteger

Voices per page. Capped at 100.

curl -X GET 'https://omnidim.io/api/v1/providers/voices?page=1&page_size=30' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{
  "voices": [
    {
      "id": 1,
      "name": "aura-luna-en",
      "display_name": "luna",
      "service": "deepgram",
      "sample_url": "https://res.cloudinary.com/deepgram/video/upload/v1709565351/aura/luna_docs_clom0e.wav",
      "tags": [
        "feminine",
        "Young Adult",
        "en-us",
        "American",
        "Friendly, Natural, Engaging",
        "IVR"
      ]
    }
  ],
  "total": 30,
  "page": 1,
  "page_size": 30,
  "filters_applied": {
    "provider": null,
    "search": null,
    "language": null,
    "accent": null,
    "gender": null
  }
}

Authorization

BearerAuth
headerAuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

Query Parameters

provider?string

TTS provider to list voices from. Omit to list across all providers.

Value in"eleven_labs""google""deepgram""cartesia""sarvam""rime""playht""hume""inworld""smallest"
search?string

Substring match against voice name or description. ElevenLabs and Cartesia.

language?string

ISO language code (e.g. en, hi, es). ElevenLabs and Cartesia.

accent?string

Accent label (e.g. american, british). ElevenLabs and Cartesia.

gender?string

Filter voices by gender. ElevenLabs and Cartesia.

Value in"male""female"
page?integer

1-indexed page number.

Default1
page_size?integer

Voices per page. Capped at 100.

Rangevalue <= 100
Default30

Response body

application/json

Response Body

Voices and filter metadata.

application/json
voices?
total?integer
page?integer
page_size?integer
filters_applied?

Echoes the filter parameters the request applied. null for any filter that wasn't sent.

Was this page helpful?